aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2012-04-02 18:48:56 +0000
committerGerald Combs <gerald@wireshark.org>2012-04-02 18:48:56 +0000
commit4326f8de555f69d9f8b375b519a86245dbe1172c (patch)
tree2e0b754718d6ff7907699261e0b71d7d33c3d160 /test
parent937df7af1845b454ac95f780d00c4b3f877adb5b (diff)
Add a test for Zigbee. Compress the 802.11 capture. Fix an error message.
svn path=/trunk/; revision=41898
Diffstat (limited to 'test')
-rw-r--r--test/captures/sample_control4_2012-03-24.pcapbin0 -> 10949 bytes
-rw-r--r--test/captures/wpa-Induction.pcapbin179298 -> 0 bytes
-rw-r--r--test/captures/wpa-Induction.pcap.gzbin0 -> 77052 bytes
-rwxr-xr-xtest/suite-decryption.sh21
4 files changed, 19 insertions, 2 deletions
diff --git a/test/captures/sample_control4_2012-03-24.pcap b/test/captures/sample_control4_2012-03-24.pcap
new file mode 100644
index 0000000000..cd33b1cd76
--- /dev/null
+++ b/test/captures/sample_control4_2012-03-24.pcap
Binary files differ
diff --git a/test/captures/wpa-Induction.pcap b/test/captures/wpa-Induction.pcap
deleted file mode 100644
index 6c173cd975..0000000000
--- a/test/captures/wpa-Induction.pcap
+++ /dev/null
Binary files differ
diff --git a/test/captures/wpa-Induction.pcap.gz b/test/captures/wpa-Induction.pcap.gz
new file mode 100644
index 0000000000..27e3670307
--- /dev/null
+++ b/test/captures/wpa-Induction.pcap.gz
Binary files differ
diff --git a/test/suite-decryption.sh b/test/suite-decryption.sh
index 76a1366748..05c792989a 100755
--- a/test/suite-decryption.sh
+++ b/test/suite-decryption.sh
@@ -57,7 +57,7 @@ decryption_step_80211_wpa_psk() {
env $TS_DC_ENV $TSHARK $TS_DC_ARGS \
-o "wlan.enable_decryption: TRUE" \
-Tfields -e http.request.uri \
- -r captures/wpa-Induction.pcap \
+ -r captures/wpa-Induction.pcap.gz \
-R http \
| grep favicon.ico > /dev/null 2>&1
RETURNVALUE=$?
@@ -77,7 +77,7 @@ decryption_step_dtls() {
| grep "69:74:20:77:6f:72:6b:20:21:0a" > /dev/null 2>&1
RETURNVALUE=$?
if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
- test_step_failed "Failed to decrypt SSL"
+ test_step_failed "Failed to decrypt DTLS"
return
fi
test_step_ok
@@ -95,10 +95,27 @@ decryption_step_ssl() {
test_step_ok
}
+# ZigBee
+# https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7022
+decryption_step_zigbee() {
+ env $TS_DC_ENV $TSHARK $TS_DC_ARGS \
+ -r captures/sample_control4_2012-03-24.pcap \
+ -Tfields -e data.data \
+ -R zbee.aps \
+ | grep "30:67:63:63:38:65:20:63:34:2e:64:6d:2e:74:76:20" > /dev/null 2>&1
+ RETURNVALUE=$?
+ if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
+ test_step_failed "Failed to decrypt ZigBee"
+ return
+ fi
+ test_step_ok
+}
+
tshark_decryption_suite() {
test_step_add "IEEE 802.11 WPA PSK Decryption" decryption_step_80211_wpa_psk
test_step_add "DTLS Decryption" decryption_step_dtls
test_step_add "SSL Decryption" decryption_step_ssl
+ test_step_add "ZigBee Decryption" decryption_step_zigbee
}
decryption_cleanup_step() {